EddytorDocs & API
Tables

Set a reference domain on a column

Links this column's allowed values to the domain of a column in another table. Changes to the source column's domain are automatically reflected here. **Required scope:** `domains:write`

PUT
/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/reference

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to set a reference domain on a column.

Example

{"source_table": {"catalog": "eddytor","schema": "cfg_7dba3902","table": "18215838467651832635_departments"},"source_column": "DepartmentID"}

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/reference" \  -H "Content-Type: application/json" \  -d '{    "source_table": {      "catalog": "string",      "schema": "string",      "table": "string"    },    "source_column": "string"  }'
{  "column_name": "string",  "domain": {    "type": "string",    "allowed_values": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "value": "string"      }    ],    "parent_column": "string",    "lookup": {      "source": "string",      "mappings": {        "property1": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ],        "property2": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ]      },      "table_name": "string",      "table_path": "string",      "parent_key": "string",      "child_key": "string",      "table_id": "string"    },    "reference_source": {      "table_path": "string",      "table_name": "string",      "column": "string",      "table_id": "string"    }  }}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}